GET
/serving/inference/{inference_id}/async_config/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/serving/inference/{inference_id}/async_config/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/gpu/serving/inference/{inference_id}/async_config/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/serving/inference/{inference_id}/async_config/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Returns the current async invocation configuration for the model endpoint.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”inference_id
required
integer
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
Responses
Section titled “Responses”Current async invocation configuration for the endpoint.
Media typeapplication/json
object
code
integer
data
object
async_concurrent_workers
Number of parallel async workers configured.
integer
async_enabled
Whether async invocation is currently enabled.
boolean
async_dataset
Dataset object used for async results (null if not set).
object
async_dataset_id
ID of the dataset used for async results.
integer
async_target_routes
List of route mappings for async inference.
Array<object>
object
route_name
Internal queue name.
string
route_value
Endpoint route to call.
string
async_destination_type
Destination type for async results (e.g. "dataset").
string
errors
object
message
string
Example
{ "code": 200, "data": { "async_concurrent_workers": 0, "async_enabled": false, "async_dataset": null, "async_dataset_id": null, "async_target_routes": [ { "route_name": "QUEUE_1", "route_value": "predict" } ], "async_destination_type": null }, "message": "Success"}